Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.regexp
Interface CharIndexed

    public interface CharIndexed

interface basic

Field Summary
`static char` | `OUT_OF_BOUNDS` Defines a constant (0xFFFF was somewhat arbitrarily chosen) that can be returned by the charAt() function indicating that the specified index is out of range.

Method Summary
`char` | `charAt(int index)` Returns the character at the given offset past the current cursor position in the input.
`boolean` | `isValid()` Returns true if the most recent move() operation placed the cursor position at a valid position in the input.
`boolean` | `move(int index)` Shifts the input buffer by a given number of positions.

Field Detail

### OUT_OF_BOUNDS

    static final char OUT_OF_BOUNDS

  Defines a constant (0xFFFF was somewhat arbitrarily chosen) that can be returned by the charAt() function indicating that the specified index is out of range.

  See Also:
    Constant Field Values

Method Detail

### charAt

    char charAt(int index)

  Returns the character at the given offset past the current cursor position in the input. The index of the current position is zero. It is possible for this method to be called with a negative index. This happens when using the '^' operator in multiline matching mode or the '\b' or '\<' word boundary operators. In any case, the lower bound is currently fixed at -2 (for '^' with a two-character newline).

  Parameters:
    `index` - the offset position in the character field to examine
  Returns:
    the character at the specified index, or the OUT_OF_BOUNDS character defined by this interface.

### move

    boolean move(int index)

  Shifts the input buffer by a given number of positions. Returns true if the new cursor position is valid.

### isValid

    boolean isValid()

  Returns true if the most recent move() operation placed the cursor position at a valid position in the input.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.